---
title: Second-level Domain
slug: Glossary/Second-level_Domain
tags:
  - Glossary
  - Infrastructure
---
A Second Level Domain ({{Glossary("SLD")}}) is the part of the domain name that is located right before a Top Level Domain ({{Glossary("TLD")}}).

For example, in `mozilla.org` the SLD is `mozilla` and the TLD is `org`.

A domain name is not limited to a TLD and an SLD. Additional subdomains can be created in order to provide additional information about various functions of a server or to delimit areas under the same domain. For example, `www` is a commonly used subdomain to indicate the domain points to a web server.

As another example, in `developer.mozilla.org`, the `developer` subdomain is used to specify that the subdomain contains the developer section of the Mozilla website.

## See also

- {{Interwiki("wikipedia", "Second-level domain", "SLD")}} (Wikipedia)
- [Glossary](/en-US/docs/Glossary)

  - {{Glossary("DNS")}}
  - {{Glossary("Domain")}}
  - {{Glossary("Domain name")}}
  - {{Glossary("TLD")}}
