---
title: Product Advisory Board Members
slug: MDN/MDN_Product_Advisory_Board/Members
tags:
  - MDN
  - Members
  - PAB
  - Product advisory board
---
{{MDNSidebar}}

Current members of the MDN Product Advisory Board are:

- **Reeza Ali**
  Senior Program Manager, Microsoft Edge Developer Experiences
  - : Reeza Ali is a Program Manager at Microsoft, who leads the content strategy on the Edge developer relations team. Throughout his Microsoft career, he's been a strong advocate for developer success. Over the past 5 years, he's led several web content documentation teams and projects at Microsoft. He believes that product content and learning experiences play a pivotal role in creating successful outcomes for developers. He's passionate about content strategy, technology, and technical communication.
- **Daniel Appelquist**
  Director of Developer Advocacy at Samsung Internet, Co-Chair of W3C's Technical Architecture Group
  - : Daniel Appelquist leads the Web Developer Advocacy team at Samsung Internet <<https://samsunginter.net>>, Samsung's mobile and VR web browser. He has also been co-chair of the [W3C's Technical Architecture Group](https://w3.org/tag) since 2013. He has been working on the web for over 2 decades, first helping to create start-ups in the web publishing sphere and then (after moving to London from New York in '99) working on the convergence between web and mobile through many projects and initiatives. He has also led open standards strategy for the UK Government and remains a member of the [UK Government Open Standards Board](https://www.gov.uk/government/groups/open-standards-board). In between all this he's been an active community builder and event organizer.
- **Sukriti Chadha**
  **Product Manager, Spotify**
  - : Sukriti Chadha is a mobile developer-turned-product manager at Spotify where she leads efforts in cross-platform accessibility and developer experience on mobile. She also serves as an Invited Expert at the [W3C WCAG (Web Content Accessibility Guidelines) Working Group](https://www.w3.org/WAI/standards-guidelines/wcag/) and the [Mobile Accessibility Task Force (MATF)](https://www.w3.org/WAI/standards-guidelines/mobile/), where she contributes to industry guidelines for accessible web and mobile applications. She built a new way of making data visualization accessible for visually impaired users, and [open-sourced the Android solution in 2019](https://developer.yahoo.com/blogs/612790529269366784/). Sukriti's product role entails managing developer experience roadmaps, automated testing, and embedding accessibility in the product lifecycle.
- **Hermina Condei**
  **Head of Product CE, Marketing Operations, Mozilla**
  - : Hermina Condei leads product management and engineering for MDN Web Docs and platform engineering for SUMO, at Mozilla. Over the past years, she's driven company-wide projects focused on access and identity management for employees and community. She also led the product team in the Open Innovation Group**,** with a focus on managing internal and external stakeholders for the team's portfolio of projects.
- **Dominique Hazael-Massieux**
  W3C Web Technology Expert including [Telecommunications Vertical champion](https://www.w3.org/Telco/), [Web Real-Time Communications Working Group](https://www.w3.org/2011/04/webrtc/), [Device and Sensors Working Group](https://www.w3.org/2009/dap/)
  - : Dominique Hazael-Massieux is part of the W3C staff, where he leads W3C efforts in developer relationship. Dom has been working for W3C since 2000, and in addition to devrel, is currently involved in the standardization of WebRTC, device APIs and WebVR.
- **Brian Kardell**
  Developer Advocate, Igalia
  - : Brian is a Developer Advocate at Igalia. He participates in W3C where he is Igalia's Advisory Committee Representative and participates in various working groups and community groups. He also has represented the Open JS Foundation there.
- **Joe Medley**
  Senior Technical Writer, Web Developer Relations at Google
  - : Joe has lead Google's effort to create web platform reference documentation for the last five years, which means he spends much on MDN. In addition to editing the Chrome beta release announcements targeted at web developers, he writes the occasional article for web.dev. Joe came to Web Developer Relations after a long career writing developer reference documentation for enterprise applications and a degree in education from the University of Central Missouri.
- **Eric Meyer**
  Developer Advocate, Igalia
  - : [Eric](http://meyerweb.com/) ([@meyerweb](http://twitter.com/meyerweb)) is an [author](http://meyerweb.com/eric/writing.html), speaker, blogger, sometimes teacher and consultant, Developer Advocate at [Igalia](http://igalia.com/), and co-founder of [An Event Apart](https://aneventapart.com/). He's been working on the Web since 1993 and still finds it deeply compelling.
- **Robert Nyman**
  Global Lead for Programs & Initiatives, Web Developer Relations, at Google
  - : Robert Nyman is the Global Lead for Developer Feedback & Communities, Web Platform at Google. In his role, he works to make the web the best platform for developers. Prior to Google, Robert was a technical evangelist at Mozilla, focused on the Open Web and the company's various products and initiatives. He lives in Stockholm, and has a passion for traveling and meeting people. He claims the title of "Most Well-Traveled Speaker" on Lanyrd, having presented in 42 countries.
- **Kyle Pflug**
  Senior Program Manager, Microsoft Edge Developer Experiences
  - : Kyle Pflug is a Program Manager at Microsoft, leading developer relations and community outreach for Microsoft Edge. Over the past five years, he has worked to champion web developer and partner perspectives within Microsoft. He is passionate about making the web more inclusive and accessible to developers across platforms and devices.
- **Ali Spivak**
  Sr. Director, Developer Relations at Okta & former MDN Product Advisory Board Chair
  - : Ali is the Sr. Director, Developer Relations at Okta, responsible for developer strategy. Before that, she was at Mozilla for 9 years, with responsibility for MDN and Developer Relations.

**MDN Product Advisory Board Alumni:**

- Jory Burson, Bocoup
- Meggin Kearney, Google
- Erika Doyle Navara, Microsoft
- Patrick Kettner, Microsoft
- Travis Leithead, Microsoft
- Chris Mills, Mozilla
- Kadir Topal, Mozilla

## See also

- [Product Advisory Board home](/en-US/docs/MDN/MDN_Product_Advisory_Board)
- [Product Advisory Board meeting minutes](https://github.com/mdn/pab) (GitHub)
- [Product Advisory Board Charter & Membership](/en-US/docs/MDN/MDN_Product_Advisory_Board/Membership)
- [Membership application](https://www.surveygizmo.com/s3/4024118/MDN-Advisory-Board-Application)
