---
title: Product Advisory Board Charter & Membership
slug: MDN/MDN_Product_Advisory_Board/Membership
tags:
  - MDN
  - Membership
  - PAB
  - Product advisory board
  - Terms and conditions
---
{{MDNSidebar}}

## 1. Purpose and Objectives

The primary purpose of the PAB is to provide advice, input, and feedback on content strategy, content prioritization, strategic direction, and platform/site features to MDN's Product Manager and Content Lead. Mozilla will consider input and advice from the PAB; however PAB input and recommendations are non-binding. The primary objectives of the PAB are:

- Provide feedback into content strategy and prioritization of standards documentation
- Help define product strategy, roadmap, and priorities including:

  - Suggest and comment on Objectives and Key Results (OKRs)
  - Suggest and comment on yearly and quarterly content roadmaps

- Make organizational and individual commitments to contribute to MDN based on the defined strategies, roadmaps and priorities
- Represent and promote user requirements, ensuring that MDN continues to evolve and meet users' needs and challenges
- Suggest and give feedback on new opportunities
- Provide feedback on recruiting and retaining contributors (both corporate and individual)
- Share experience and best practices

## 2. Membership Selection and Termination.

a. The PAB shall consist of 10 to 12 Members (as defined in the MDN Product Advisory Board Agreement and including those individuals representing a Member organization), to be selected by Mozilla.

b. There are two types of membership: organizational and individual. Organizations who meet the membership criteria and are accepted as member organizations may nominate up to 2 individuals to serve as their representatives ("Member Representatives" as defined in the MDN Product Advisory Board Agreement) on the PAB.

c. Organizations/individuals who wish to become PAB members must submit a MDN Product Advisory Board Interest Form. Membership will be subject to review and approval by Mozilla, and notification will be sent to the applicant within 30 days of application.

d. Membership start dates will be based upon review meeting schedules; any new Members will begin their term on the PAB at the next scheduled review meeting.

e. Members of the PAB will serve terms of 1 year, renewed automatically for up to 3 years (unless terminated by either party). At the end of the 1-year term, the PAB Member and Mozilla will review membership and decide whether to continue Member participation.

f. Members may resign in writing, via email to the PAB mailing list. Member organizations can nominate replacements for resigned members before the start of the next review meeting.

g. Mozilla may terminate a Member in the case of violation of the MDN Advisory Board Agreement, violation of the MDN PAB Code of Conduct, violation of the Antitrust Policy, or if the Member fails to participate in two consecutive review meetings without notice. At that time, a notice will be sent to the principal contact stating that they have been removed as a Member.

## 3. PAB Membership Qualifications.

a. PAB Members have in-depth industry knowledge and expertise. Members will be knowledgeable about web standards, with the ability and experience to align MDN's overall strategic goals and content plans with evolution of web standards, industry direction, and the needs of developers using MDN's documentation.

b. Membership in the PAB is limited to organizations and individuals who make significant contributions to MDN and/or the advancement, development, and implementation of web standards.

c. Member organizations must play a significant role in the creation, implementation, or adoption of Web standards and guidelines. It is also preferred that PAB Member organizations be members of an established Web standards group, such as W3C. Member organizations may nominate up to 2 individual representatives to serve on the board.

d. Individual Members of the PAB must have at least one of the following qualifications:

- Plays a significant role in the creation, implementation, or adoption of Web standards;
- Participates in a Web standards group dedicated to the development of specifications for features implemented in a Web browser or used in Web content that is sent to browsers. Participation in W3C or a similar standards group is preferred but not required. Individual Members may also meet this qualification by having served on a standards working group or as an invited expert on an established Web standards working group;
- Is a member of a Web-focused Developer Relations team;
- Works as part of a group doing technical documentation of Web standards; or
- Makes significant, sustained contributions to MDN Web standards documentation as a volunteer.

## 4. Member Responsibilities and Commitments.

a. Members are expected to provide feedback and responses in a timely manner, and attend a minimum number of review meetings. Participation is welcome from all over the world. Members' expectations include:

Provide feedback on scheduling annual and quarterly meetings;

- Attend annual meeting;
- Attend at least 2 quarterly reviews per year;
- Review proposals and provide feedback;
- Join the PAB mailing list;
- and Agree not to promote a specific corporate or individual agenda, particularly in the creation or editing of content on MDN.

b. Members may be required to provide personal information and material (bios, etc.) for analyst, press, and/or trade publications and press releases.

c. All Members must sign the MDN Product Advisory Board Agreement and agree to the MDN PAB Code of Conduct and Antitrust Policy.

## 5. MDN PAB Member Benefits.

It is anticipated that PAB membership will have the following benefits:

- Impact content strategy and priorities for MDN;
- Influence the strategic direction of MDN; Have advance knowledge of MDN plans and development;
- Make suggestions for features and platform improvements to grow MDN audience and contribution; and
- Provide feedback and technical reviews of content.

## 6. Scheduled and Ad Hoc Meetings.

a. Members will be invited to the following meetings:

- Annual Product Strategy review meetings to take place between October and December of each calendar year;
- Quarterly content strategy and prioritization review meetings ("Quarterly Reviews); and
- Ad-hoc product review/check-in meetings, which can be initiated by Mozilla or any Member as needed ("Ad Hoc Meetings").

b. Annual Product Strategy review meetings will review the previous year's progress and make recommendations for MDN's strategy and objectives for the following year.

c. Annual Product Strategy review meetings can take place in Mozilla headquarters or worldwide office, the offices of a Member, or external locations, as determined by vote of the PAB. Virtual attendance will be accommodated for Members who are unable to attend in person.

d. Quarterly Reviews and Ad-Hoc Meetings will primarily be held via video/conference call, although in-person attendance will be possible at the discretion of Members.

e. Ad-Hoc Meeting dates will depend upon the work in development. Review points will have a specific emphasis such as coordination around product release dates and major features or new specs and standards reaching broad release that require more in-depth coordination and planning beyond the Quarterly Review.

## 7. Time Commitment and Costs.

a. Members are asked to make a commitment to the PAB for at least 12 months.

b. Members are asked to commit the time to prepare for, attend (sometimes in person), and participate in regularly scheduled and ad-hoc PAB meetings.

c. Costs for participant travel and living expenses or other involvement are to be paid by the individual board member or the sponsoring organization.

## See also

- [Product Advisory Board home](/en-US/docs/MDN/MDN_Product_Advisory_Board)
- [Product Advisory Board meeting minutes](https://github.com/mdn/pab) (GitHub)
- [Product Advisory Board members](/en-US/docs/MDN/MDN_Product_Advisory_Board/Members)
- [Membership application](https://www.surveygizmo.com/s3/4024118/MDN-Advisory-Board-Application)
