---
title: Web-related technologies
slug: Related
tags:
  - Related
---
This section of the site is a home for documentation on web-related technologies that aren't central to the MDN's remit (i.e. they aren't web standards technologies), but are nonetheless related to the web and of interest to web developers.

> **Note:** These documentation resources generally aren't maintained by the MDN writer's team — if you have suggestions or queries related to these resources, check out the landing pages for those technologies for contact details of the relevant maintenance team.

## Technology list

- [IMSC: subtitles and captioning for the Web](/en-US/docs/Related/IMSC)
  - : IMSC (TTML Profiles for Internet Media Subtitles and Captions) is a file format for representing subtitles and captions. It uses XML to describe content, timing, layout, and styling. IMSC is very similar to HTML and CSS in concept — in fact, most IMSC styles have a direct equivalent in CSS.

## Submitting a new technology

If you want to document a new technology on MDN and it isn't a web standards technology, it may fit in this section of MDN Web Docs.

To determine if it does, Carefully read the [Criteria for inclusion](/en-US/docs/Related/Criteria_for_inclusion). This outlines the criteria a technology should match to be considered for inclusion on this area of the site.

If the technology does fit the criteria for inclusion, you should next follow the [process for selection](/en-US/docs/Related/Process_for_selection). The short version is that you assemble some supporting resources and then send them to the MDN team so we can make a decision on whether to include the technology. We want to consider each technology on a case-by-case basis, so we can carefully control what is published here and maintain quality.

## Creating a documentation project

If the MDN Web Docs team accepts your proposal, it's time to get started with writing your documentation. See our [project guidelines](/en-US/docs/Related/Project_guidelines) for a guide on how.

## Contact

You can contact the MDN team at <mdn-admins@mozilla.org>.

## See also

- [Criteria for inclusion](/en-US/docs/Related/Criteria_for_inclusion)
- [Process for selection](/en-US/docs/Related/Process_for_selection)
- [Project guidelines](/en-US/docs/Related/Project_guidelines)
