---
title: ElementInternals.role
slug: Web/API/ElementInternals/role
tags:
  - API
  - Property
  - Reference
  - role
  - ElementInternals
browser-compat: api.ElementInternals.role
---
{{DefaultAPISidebar("DOM")}}

The **`role`** read-only property of the {{domxref("ElementInternals")}} interface returns the [WAI-ARIA role](/en-US/docs/Web/Accessibility/ARIA/Roles) for the element. For example, a checkbox might have [`role="checkbox`](/en-US/docs/Web/Accessibility/ARIA/Roles/checkbox_role)

## Syntax

```js
let role = ElementInternals.role;
```

### Value

A {{domxref("DOMString")}} which contains an ARIA role. A full list of ARIA roles can be found on the [ARIA techniques page](/en-US/docs/Web/Accessibility/ARIA/ARIA_Techniques).

## Examples

## Specifications

{{Specifications}}

## Browser compatibility

{{Compat}}
