---
title: HTMLOptGroupElement
slug: Web/API/HTMLOptGroupElement
tags:
  - API
  - Forms
  - HTML DOM
  - Interface
  - NeedsBrowserCompatibility
  - Reference
browser-compat: api.HTMLOptGroupElement
---
{{ APIRef("HTML DOM") }}

The **`HTMLOptGroupElement`** interface provides special properties and methods (beyond the regular {{domxref("HTMLElement")}} object interface they also have available to them by inheritance) for manipulating the layout and presentation of {{HTMLElement("optgroup")}} elements.

{{InheritanceDiagram}}

## Properties

_Inherits properties from its parent, {{domxref("HTMLElement")}}._

- {{domxref("HTMLOptGroupElement.disabled")}}
  - : Is a boolean value representing whether or not the whole list of children {{HTMLElement("option")}} is disabled (true) or not (false).
- {{domxref("HTMLOptGroupElement.label")}}
  - : Is a {{domxref("DOMString")}} representing the label for the group.

## Methods

_No specific method; inherits methods from its parent, {{domxref("HTMLElement")}}._

## Specifications

{{Specifications}}

## Browser compatibility

{{Compat}}

## See also

- The HTML element implementing this interface: {{ HTMLElement("optgroup") }}.
