---
title: IDBTransaction.objectStoreNames
slug: Web/API/IDBTransaction/ObjectStoreNames
tags:
  - API
  - Database
  - IDBTransaction
  - IndexedDB
  - Property
  - Reference
  - Storage
  - db
browser-compat: api.IDBTransaction.objectStoreNames
---
{{ APIRef("IndexedDB") }} {{SeeCompatTable}}

The **`objectStoreNames`** read-only property of the
{{domxref("IDBTransaction")}} interface returns a {{domxref("DOMStringList")}} of names
of {{domxref("IDBObjectStore")}} objects.

## Syntax

```js
var myDatabase = transactionObj.objectStoreNames;
```

### Returns

A {{domxref("DOMStringList")}} of names of {{domxref("IDBObjectStore")}} objects.

## Specifications

{{Specifications}}

## Browser compatibility

{{Compat}}

## See also

- [Using IndexedDB](/en-US/docs/Web/API/IndexedDB_API/Using_IndexedDB)
- Starting transactions: {{domxref("IDBDatabase")}}
- Using transactions: {{domxref("IDBTransaction")}}
- Setting a range of keys: {{domxref("IDBKeyRange")}}
- Retrieving and making changes to your data: {{domxref("IDBObjectStore")}}
- Using cursors: {{domxref("IDBCursor")}}
- Reference example: [To-do Notifications](https://github.com/mdn/to-do-notifications/tree/gh-pages) ([view example live](https://mdn.github.io/to-do-notifications/).)
