---
title: KeyboardLayoutMap.entries
slug: Web/API/KeyboardLayoutMap/entries
tags:
  - API
  - Entries
  - Experimental
  - Keyboard API
  - Keyboard Map
  - KeyboardLayoutMap
  - Property
  - Reference
  - keyboard
browser-compat: api.KeyboardLayoutMap.entries
---
{{SeeCompatTable}}{{APIRef("Keyboard API")}}

The **`entries`** read-only property
of the {{domxref("KeyboardLayoutMap")}} interface returns an array of a given object's
own enumerable property `[key, value]` pairs, in the same order as that
provided by a {{jsxref("Statements/for...in", "for...in")}} loop (the difference being
that a for-in loop enumerates properties in the prototype chain as well).

## Syntax

```js
KeyboardLayoutMap.entries()
```

### Value

An array of the given `KeyboardLayoutMap` object's own enumerable property
`[key, value]` pairs.

## Specifications

{{Specifications}}

## Browser compatibility

{{Compat}}
