---
title: Window.mozInnerScreenY
slug: Web/API/Window/mozInnerScreenY
tags:
  - API
  - HTML DOM
  - NeedsExample
  - NeedsMarkupWork
  - NeedsSpecTable
  - Property
  - Reference
  - Window
browser-compat: api.Window.mozInnerScreenY
---
{{APIRef}}

The `mozInnerScreenY` property of the {{domxref("Window")}} interface returns the Y coordinate of the top-left corner of the window's viewport, in screen
coordinates.

> **Note:** This coordinate is reported in CSS pixels, not in hardware pixels.

## Syntax

```js
screenY = window.mozInnerScreenY;
```

### Value

- _screenY_ stores the `window.mozInnerScreenY` property value.
- The `window.mozInnerScreenY` property is a floating point, read-only
  value; it has no default value.

## Specifications

This feature is not part of any current specification. It is not on track to become a standard.

## Browser compatibility

{{Compat}}

## See also

- {{domxref("window.mozInnerScreenX")}}
