---
title: CSS Color
slug: Web/CSS/CSS_Color
tags:
  - CSS
  - CSS Colors
  - Guide
  - HTML Colors
  - Overview
  - Reference
  - Styles
  - Styling HTML
  - colors
spec-urls: https://drafts.csswg.org/css-color/
---
{{CSSRef}}

**CSS Color** is a CSS module that deals with colors, color types, color blending, opacity, and how you can apply these colors and effects to HTML content.
Not all CSS properties that take a {{cssxref("&lt;color&gt;")}} as a value are part of this module, but they do depend upon it.

## Reference

### Properties

- {{cssxref("color")}}
- {{cssxref("print-color-adjust")}}
- {{cssxref("opacity")}}

### Data types

- {{cssxref("&lt;color&gt;")}}

## Guides

- [Applying color to HTML elements using CSS](/en-US/docs/Web/HTML/Applying_color)
  - : A guide to using CSS to apply color to a variety of types of content. All color-related CSS properties are touched upon.

## Tools

- [Color picker tool](/en-US/docs/Web/CSS/CSS_Colors/Color_picker_tool)
  - : This tool makes it easy to create, adjust, and experiment with custom colors.

## Specifications

{{Specifications}}

## Browser compatibility

### `color` property

{{Compat("css.properties.color")}}

### `print-color-adjust` property

{{Compat("css.properties.print-color-adjust")}}

### `opacity` property

{{Compat("css.properties.opacity")}}

## See also

- Color-related properties that are part of other specifications: {{cssxref("background-color")}}, {{cssxref("border-color")}}, {{cssxref("outline-color")}}, {{cssxref("text-decoration-color")}}, {{cssxref("text-emphasis-color")}}, {{cssxref("text-shadow")}}, {{cssxref("caret-color")}}, and {{cssxref("column-rule-color")}}
- In CSS, gradients aren't colors but [images](/en-US/docs/Web/CSS/CSS_Images).
