---
title: Demos of open web technologies
slug: Web/Demos
tags:
  - 2D
  - 3D
  - Audio
  - CSS
  - Canvas
  - Design
  - HTML
  - SVG
  - VR
  - Video
---
Mozilla supports a wide variety of exciting open web technologies, and we encourage their use. This page offers links to interesting demonstrations of these technologies.

If you know of a good demonstration or application of open web technology, please add a link to the appropriate section here.

## 2D Graphics

### Canvas

- [Blob Sallad: an interactive blob using JavaScript and canvas](https://www.blobsallad.se/) ([code demos)](http://blobsallad.se/article/)
- [3D RayCaster](https://mdn.github.io/canvas-raycaster/index.html)
- [miniPaint: Image editor](https://viliusle.github.io/miniPaint/) ([source code](https://github.com/viliusle/miniPaint))
- [Zen Photon Garden](https://zenphoton.com) ([source code](https://github.com/scanlime/zenphoton))
- [Multi touch in canvas demo](https://maximumroulette.com/) ([source code](https://github.com/zlatnaspirala/multi-touch-canvas-handler))

### SVG

- [Bubblemenu](https://starkravingfinkle.org/projects/demo/svg-bubblemenu-in-html.xml) (visual effects and interaction)
- [Blobular](https://www.themaninblue.com/experiment/Blobular/) (interactive)
- [Summer HTML image map creator](https://summerstyle.github.io/summer/) ([source code](https://github.com/summerstyle/summer))

### Video

- [Video 3D Animation "mozilla constantly evolving"](https://vimeo.com/172328210)
- [Video 3D Animation "Floating Dance"](https://vimeo.com/173851395)
- [Video 3D Animation "The Gravel Institute: Monopoly](https://vimeo.com/560300715)

## 3D Graphics

### WebGL

- [Web Audio Fireworks](https://ondras.github.io/fireworks-webgl/)
- [Aquarium](https://webglsamples.org/aquarium/aquarium.html)
- [Dynamic cubemap](https://webglsamples.org/dynamic-cubemap/dynamic-cubemap.html)
- [Kai 'Opua](https://collinhover.github.io/kaiopua/) ([source code](https://github.com/collinhover/kaiopua))

### Virtual Reality

- The Polar Sea ([source code](https://github.com/MozVR/polarsea))
- [Sechelt fly-through](https://mixedreality.mozilla.org/sechelt/) ([source code](https://github.com/mozvr/sechelt))

## CSS

- [CSS floating logo "mozilla"](https://codepen.io/SoftwareRVG/pen/OXkOWj/)
- [CSS Blockout](https://ondras.github.io/blockout/)
- [Rubik's cube](https://ondras.zarovi.cz/demos/rubik/)
- [Loader with blend modes](https://codepen.io/equinusocio/full/qjyXPP/)
- [CSS-based single page application](https://dmytsv.github.io/sass-spa/index.html#home) ([source code](https://github.com/dmytsv/sass-spa))

### Transformations

- [Impress.js](https://impress.github.io/impress.js) ([source code](https://github.com/impress/impress.js))
- [Flickr Polaroid Stack](https://ohiodave.com/tests/css2d/flickr.html)

## Games

- IoQuake3 ([source code](https://github.com/klaussilveira/ioquake3.js))
- [Kai 'Opua](https://collinhover.github.io/kaiopua/) ([source code](https://github.com/collinhover/kaiopua))

## Web APIs

### Notifications API

- [HTML5 Notifications](https://elfoxero.github.io/html5notifications/) ([source code](https://github.com/elfoxero/html5notifications))

### Web Audio API

- [Audio Context states demo](https://mdn.github.io/webaudio-examples/audiocontext-states/)
- [Audio analyser - graphical visualization of an audio signal](https://mdn.github.io/webaudio-examples/audio-analyser/)
- [IIR filter node](https://mdn.github.io/webaudio-examples/iirfilter-node/)
- [Multi track](https://mdn.github.io/webaudio-examples/multi-track/)
- [Stereo-panner-node](https://mdn.github.io/webaudio-examples/stereo-panner-node/)

### File API

- [Slide My Text - presentation from plain text files](https://palerdot.github.io/slide-my-text/)

### Web Workers

- [Web Worker Fractals](https://ondras.github.io/fractal/)
- [Photo editor](https://ondras.github.io/photo/)
- [Coral generator](https://ondras.github.io/coral/)
- [Raytracer](https://nerget.com/rayjs-mt/rayjs.html)
- [Fibonacci](https://mdn.github.io/fibonacci-worker/)
