---
title: <input type="datetime">
slug: Web/HTML/Element/input/datetime
tags:
  - Element
  - HTML
  - HTML forms
  - Input
  - Input Element
  - Input Type
  - Deprecated
  - Reference
  - datetime
---

{{HTMLRef}}{{deprecated_header}}

The HTML `<input type="datetime">` was a control for entering a date and time (hour, minute, second, and fraction of a second) as well as a timezone. **This feature has been [removed from WHATWG HTML](https://github.com/whatwg/html/issues/336)**, and is no longer supported in browsers.

Instead, browsers are implementing (and developers are encouraged to use) [`<input type="datetime-local">`](/en-US/docs/Web/HTML/Element/input/datetime-local).

The format of the date and time value used by this input type is described in {{SectionOnPage("/en-US/docs/Web/HTML/Date_and_time_formats", "Format of a valid global date and time string")}}.

## Browser compatibility

> **Note:** This feature has no current browser implementations.

## See also

- {{HTMLElement("input")}} element
- [Date and time formats used in HTML](/en-US/docs/Web/HTML/Date_and_time_formats)
