---
title: Resources and URIs
slug: Web/HTTP/Resources_and_URIs
tags:
  - HTTP
  - MIME
  - MIME Type
  - Overview
  - Type
  - URI
  - URIs
  - URL
  - resources
---
{{HTTPSidebar}}

HTTP allows a browser, or another {{Glossary("user agent")}}, to communicate with different _resources_ on the Internet: to do this the browser needs both the _identity_ and the _location_ of the resources. These two bits of information are described by a {{glossary("URI")}}.

- [Identifying resources on the Web](/en-US/docs/Web/HTTP/Basics_of_HTTP/Identifying_resources_on_the_Web)
  - : URIs and how to access resources on the Web.
- [Data URIs](/en-US/docs/Web/HTTP/Basics_of_HTTP/Data_URIs)
  - : A specific kind of URIs, data URIs, embed the resource itself inside the identifier.
- [Choosing between www and non-www URLs](/en-US/docs/Web/HTTP/Basics_of_HTTP/Choosing_between_www_and_non-www_URLs)
  - : Advice on using a www-prefixed domain or not, this article explains the consequences of the choice as well as how to make it.
- [MIME Types](/en-US/docs/Web/HTTP/Basics_of_HTTP/MIME_types)
  - : MIME media types define what kind of document a specific resource is. This article presents both the syntax and the most useful MIME types for use on the Web.
- [Common MIME types](/en-US/docs/Web/HTTP/Basics_of_HTTP/MIME_types/Common_types)
  - : List of common MIME types useful for Web developers.
