---
title: 418 I'm a teapot
slug: Web/HTTP/Status/418
tags:
  - HTTP
  - HTTP Status Code
  - Reference
browser-compat: http.status.418
---
{{HTTPSidebar}}

The HTTP **`418 I'm a teapot`** client error response code indicates that the server refuses to brew coffee because it is, permanently, a teapot. A combined coffee/tea pot that is temporarily out of coffee should instead return 503. This error is a reference to Hyper Text Coffee Pot Control Protocol defined in April Fools' jokes in 1998 and 2014.

Some websites use this response for requests they do not wish to handle, such as automated queries.

## Status

```
418 I'm a teapot
```

## Specifications

| Specification                                                | Title                                                                                             |
| ------------------------------------------------------------ | ------------------------------------------------------------------------------------------------- |
| {{RFC("2324", "418 I'm a teapot" , "2.3.2")}} | Hyper Text Coffee Pot Control Protocol (HTCPCP/1.0): Semantics and Content                        |
| {{RFC("7168", "418 I'm a teapot" , "2.3.3")}} | The Hyper Text Coffee Pot Control Protocol for Tea Efflux Appliances (HTCPCP-TEA): Response Codes |

## Browser compatibility

{{Compat}}

## See also

- {{interwiki("wikipedia", "Hyper Text Coffee Pot Control Protocol", "Wikipedia: Hyper Text Coffee Pot Control Protocol")}}
